from prometheus_client import Counter, Gauge
from django_prometheus.middleware import (
    PrometheusAfterMiddleware,
)

class AppMetricsAfterMiddleware(PrometheusAfterMiddleware):
    def register_metric(self, metric_cls, name, documentation, labelnames=(), **kwargs):
        return super().register_metric(metric_cls, name, documentation, labelnames=labelnames, **kwargs)